## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.BasicFeatureMapEntry
          org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry

All Implemented Interfaces:
  FeatureMap.Entry, FeatureMap.Entry.Internal

Enclosing class:
  EStructuralFeatureImpl

    public static final class EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry

extends EStructuralFeatureImpl.BasicFeatureMapEntry

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry
`FeatureMap.Entry.Internal`

Field Summary
`protected InternalEObject` `value`

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.BasicFeatureMapEntry
`eStructuralFeature`

Constructor Summary
`EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry(EStructuralFeature.Internal eStructuralFeature, InternalEObject value)`

Method Summary
`FeatureMap.Entry.Internal` `createEntry(InternalEObject value)`
`java.lang.Object` `getValue()` Returns the value.
`protected NotificationChain` `inverseAdd(InternalEObject owner, InternalEObject otherEnd, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseAdd(InternalEObject owner, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseAdd(InternalEObject owner, java.lang.Object otherEnd, int featureID, NotificationChain notifications)`
`protected NotificationChain` `inverseRemove(InternalEObject owner, InternalEObject otherEnd, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseRemove(InternalEObject owner, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseRemove(InternalEObject owner, java.lang.Object otherEnd, int featureID, NotificationChain notifications)`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.BasicFeatureMapEntry
`createEntry, equals, getEStructuralFeature, hashCode, toString, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected final InternalEObject value

Constructor Detail

### EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry

    public EStructuralFeatureImpl.ContainmentUpdatingFeatureMapEntry(EStructuralFeature.Internal eStructuralFeature,
                                                                     InternalEObject value)

Method Detail

### getValue

    public final java.lang.Object getValue()

  Description copied from interface: `FeatureMap.Entry`
  Returns the value.

  Returns:
    the value.

### createEntry

    public final FeatureMap.Entry.Internal createEntry(InternalEObject value)

  Specified by:
    `createEntry` in interface `FeatureMap.Entry.Internal`
  Overrides:
    `createEntry` in class `EStructuralFeatureImpl.BasicFeatureMapEntry`

### inverseAdd

    public final NotificationChain inverseAdd(InternalEObject owner,
                                              int featureID,
                                              NotificationChain notifications)

### inverseRemove

    public final NotificationChain inverseRemove(InternalEObject owner,
                                                 int featureID,
                                                 NotificationChain notifications)

### inverseAdd

    public final NotificationChain inverseAdd(InternalEObject owner,
                                              java.lang.Object otherEnd,
                                              int featureID,
                                              NotificationChain notifications)

### inverseRemove

    public final NotificationChain inverseRemove(InternalEObject owner,
                                                 java.lang.Object otherEnd,
                                                 int featureID,
                                                 NotificationChain notifications)

### inverseAdd

    protected final NotificationChain inverseAdd(InternalEObject owner,
                                                 InternalEObject otherEnd,
                                                 int featureID,
                                                 NotificationChain notifications)

### inverseRemove

    protected final NotificationChain inverseRemove(InternalEObject owner,
                                                    InternalEObject otherEnd,
                                                    int featureID,
                                                    NotificationChain notifications)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.